Bug 134657 - CAN-2004-0884 privilege escalation
Summary: CAN-2004-0884 privilege escalation
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cyrus-sasl   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Security
: 134658 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-05 14:24 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 14:51:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch (934 bytes, patch)
2004-10-05 14:41 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:546 high SHIPPED_LIVE Important: cyrus-sasl security update 2004-10-07 04:00:00 UTC

Description Josh Bressers 2004-10-05 14:24:02 UTC
Gentoo has reported this issue via vendor-sec on 2004-10-05

Libsasl honors the environment variable SASL_PATH blindly, allowing a
local user to compile a "library" locally that is executed with the
EID of SASL when anything calls libsasl.

Comment 1 Josh Bressers 2004-10-05 14:41:13 UTC
Created attachment 104781 [details]
Upstream patch

Comment 2 Josh Bressers 2004-10-05 18:10:01 UTC
*** Bug 134658 has been marked as a duplicate of this bug. ***

Comment 3 Josh Bressers 2004-10-05 18:12:32 UTC
This issue also affects RHEL2.1

Comment 4 Josh Bressers 2004-10-05 18:30:17 UTC
This issue goes public on 2004-10-07

Comment 5 Mark J. Cox 2004-10-07 13:43:51 UTC
Removing embargo

Comment 6 Josh Bressers 2004-10-07 14:51:42 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-546.html


Comment 7 Josh Bressers 2004-10-07 22:03:25 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-546.html


Comment 8 Michal Jaegermann 2004-10-12 21:31:37 UTC
It is a bit confusing what is really in CAN-2004-0884, as it is
marked now ** RESERVED **, but Gentoo GLSA 200410-05 advisory,
http://www.securityfocus.com/archive/1/377775/2004-10-04/2004-10-10/0
says also "Cyrus-SASL contains a remote buffer overflow in the
digestmda5.c file".  See http://www.securityfocus.com/bid/11347
as well.

Somehow I do no see in the recent code patches anything which would
address that concern; or this is something new and not mentioned
by CAN-2004-0884?


Comment 9 Mark J. Cox 2004-10-12 21:36:31 UTC
The digestmda5.c issue was separate to CAN-2004-0884 and did not
affect any version of cryus-sasl with Red Hat Enterprise Linux (or
Fedora Core).


Note You need to log in before you can comment on or make changes to this bug.